# List time off types

Source: https://www.supervisible.com/developers/time-off-types/get-time-off-types

GET /time-off-types



## GET /time-off-types

Returns the organization's time off types, used to resolve type IDs when creating time off requests.

Base URL: https://app.supervisible.com/api/v1

Required scope: read:time_off_types

## Operation contract

The definition below includes parameters, request bodies, response schemas, examples and authentication requirements.

```json
{
  "summary": "List time off types",
  "description": "Returns the organization's time off types, used to resolve type IDs when creating time off requests.",
  "tags": [
    "time-off-types"
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-required-scope": "read:time_off_types",
  "parameters": [
    {
      "in": "query",
      "name": "limit",
      "required": false,
      "description": "Number of rows (default 50, max 200).",
      "schema": {
        "type": "number"
      }
    },
    {
      "in": "query",
      "name": "offset",
      "required": false,
      "description": "Pagination offset (default 0).",
      "schema": {
        "type": "number"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response",
      "content": {
        "application/json": {
          "example": {
            "data": [
              {
                "id": "019cb675-c4d6-7e90-8806-25e5145c3a06",
                "name": "Vacation",
                "description": null,
                "maxDaysPerYear": 20,
                "requiresApproval": true,
                "countsTowardAllowance": true,
                "isArchived": false,
                "minTenureMonths": 0,
                "cooldownMonths": 0,
                "createdAt": "2026-01-06T10:00:00.000Z",
                "updatedAt": "2026-01-06T10:00:00.000Z"
              }
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request"
    },
    "401": {
      "description": "Unauthorized"
    },
    "403": {
      "description": "Missing required scope or current member permission"
    },
    "404": {
      "description": "Not found"
    },
    "409": {
      "description": "Conflict; refresh current state and preview again"
    },
    "429": {
      "description": "Rate limited; honor Retry-After"
    }
  }
}
```

## Referenced definitions

```json
{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "API Key"
      }
    }
  }
}
```

[Complete OpenAPI specification](https://www.supervisible.com/openapi/public-api-v1.json)
